Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: pkgconfig(bash-completion)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define autorelease 3

Name:           lastpass-cli
Version:        1.3.4
Release:        alt1_%autorelease
Summary:        Command line interface to LastPass.com

License:        GPL-2.0-only
URL:            https://github.com/LastPass/lastpass-cli
Source0:        https://github.com/LastPass/lastpass-cli/archive/v%{version}/lastpass-cli-%{version}.tar.gz

# RHBZ#1457758
Patch0:         lastpass-cli-1.3.1-remove_reallocarray.patch
# https://github.com/lastpass/lastpass-cli/issues/532
Patch1:         0001-Mark-global-variable-as-extern.patch

BuildRequires:  ctest cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libssl-devel
BuildRequires:  libxml2-devel
BuildRequires:  libcurl-devel
BuildRequires:  asciidoc asciidoc-a2x
Requires:       pinentry-common
Requires:       xclip
Source44: import.info

%description
A command line interface to LastPass.com.

%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%{fedora_v2_cmake} .
%make_build

%install
%makeinstall_std install-doc

# Install shell completions
install -Dpm0644 contrib/lpass_bash_completion \
    %{buildroot}%{_datadir}/bash-completion/completions/lpass-completion.bash
install -Dpm0644 contrib/completions-lpass.fish \
    %{buildroot}%{_datadir}/fish/vendor_functions.d/lpass.fish
install -Dpm0644 contrib/lpass_zsh_completion \
    %{buildroot}%{_datadir}/zsh/site-functions/_lpass

%files
%doc --no-dereference COPYING
%doc --no-dereference LICENSE.OpenSSL
%doc README.md
%doc CONTRIBUTING
%doc contrib/examples
%{_bindir}/lpass
%{_mandir}/man1/lpass.1*
%{_datadir}/bash-completion/completions/lpass-completion.bash
%dir %{_datadir}/fish/vendor_functions.d
%{_datadir}/fish/vendor_functions.d/lpass.fish
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_lpass

%changelog
* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.3.4-alt1_3
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.3.4-alt1_2
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.3.3-alt2_10
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.3.3-alt2_9
- update to new release by fcimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 1.3.3-alt2_8
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.3.3-alt2_7
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.3.3-alt2_6
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt2_5
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt1_5
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt1_4
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.3-alt1_1
- new version

